package com.hzs.common.core.constant;

import java.math.BigDecimal;

public class MagicNumberConstants {

    /**
     * 重试次数
     */
    public static final Integer RETRY_COUNT = 10;

    public static final Integer PERIOD_AUTO_INCREASE = 28;

    /**
     * 小数位数
     */
    public static final Integer DECIMAL = 6;

    public static final Integer ZERO = 0;

    /**
     * 一小时的秒数
     */
    public static final Long HOUR_SECOND = 3600L;

    /**
     * 生成条形码加数常量
     */
    public static final Integer ADDEND = 1;

    /**
     * 更新条数
     */
    public static final Integer BATCH_UPDATE_NUM = 300;

    /**
     * 数据库批量更新(删除)
     */
    public static final Integer DELETE_DATA_BATCH_UPDATE_NUM = 100;

    /**
     * 系统管理员主键
     */
    public static final Long PK_ADMIN = 100000000L;

    /**
     * 开始血缘代
     */
    public static final Integer BLOOD_GENERATION_START = 1;

    /**
     * 结束血缘代
     */
    public static final Integer BLOOD_GENERATION_END = 10;

    /**
     * 血缘代系数
     */
    public static final Integer BLOOD_GENERATION_SERIES = 5;

    /**
     * 老会员编号位数
     */
    public static final Integer OLD_DIGIT = 8;
    /**
     * 新会员编号位数
     */
    public static final Integer DIGIT = 12;

    /**
     * 只能撤销7天内的订单，今天算1天，往前6天就是7天
     */
    public static final Integer CANCEL_ORDER = 6;

    /**
     * 户籍变更次数
     */
    public static final Integer CHANGE_NUM = 1;

    /**
     * 账户数
     */
    public static final Integer ACC0UNT_NUM = 12;

    /**
     * 禁用账户数
     */
    public static final Integer ACC0UNT_LOCK_NUM = 10;

    /**
     * 提现的倍数
     */
    public static final Integer WITHDRAW_MULTIPLE = 100;

    /**
     * 转换万处理
     */
    public static final BigDecimal big10000 = new BigDecimal("10000");

    /**
     * 乐学复购 v4 价格
     */
    public static final BigDecimal LXYK_V4 = new BigDecimal("2380");
    /**
     * 乐学复购 V3 价格
     */
    public static final BigDecimal LXYK_V3 = new BigDecimal("2680");
    /**
     * 乐学复购 V2 价格
     */
    public static final BigDecimal LXYK_V2 = new BigDecimal("2980");
    /**
     * 乐学复购 V1 价格
     */
    public static final BigDecimal LXYK_V1 = new BigDecimal("2980");
    /**
     * 乐学复购业绩
     */
    public static final BigDecimal LXYK_PV = new BigDecimal("600");

    /**
     * 乐学复购级差奖金300
     */
    public static final BigDecimal LXYK_BONUS_300 = new BigDecimal("300");
    /**
     * 乐学复购级差奖金600
     */
    public static final BigDecimal LXYK_BONUS_600 = new BigDecimal("600");


    /**
     * 乐学V4注册金额
     */
    public static final BigDecimal V4_AMOUNT = new BigDecimal("128000");
    /**
     * 乐学V3注册金额
     */
    public static final BigDecimal V3_AMOUNT = new BigDecimal("36000");
    /**
     * 乐学V2注册金额
     */
    public static final BigDecimal V2_AMOUNT = new BigDecimal("6000");
    /**
     * 乐学V1注册金额
     */
    public static final BigDecimal V1_AMOUNT = new BigDecimal("2000");

    // 级差 V4-V4 给的奖金
    public static final BigDecimal V4_V4_BONUS = new BigDecimal("43000");
    // 级差 V4-V3 给的奖金
    public static final BigDecimal V4_V3_BONUS = new BigDecimal("18000");
    // 级差 V4-V2 给的奖金
    public static final BigDecimal V4_V2_BONUS = new BigDecimal("3000");
    // 级差 V4-V1 给的奖金
    public static final BigDecimal V4_V1_BONUS = new BigDecimal("1000");

    // 级差 V3-V4 给的奖金
    public static final BigDecimal V3_V4_BONUS = new BigDecimal("10800");
    // 级差 V3-V3 给的奖金
    public static final BigDecimal V3_V3_BONUS = new BigDecimal("10800");
    // 级差 V3-V2 给的奖金
    public static final BigDecimal V3_V2_BONUS = new BigDecimal("2400");
    // 级差 V3-V1 给的奖金
    public static final BigDecimal V3_V1_BONUS = new BigDecimal("800");

    // 级差 V2-V4 给的奖金
    public static final BigDecimal V2_V4_BONUS = new BigDecimal("1800");
    // 级差 V2-V3 给的奖金
    public static final BigDecimal V2_V3_BONUS = new BigDecimal("1800");
    // 级差 V2-V2 给的奖金
    public static final BigDecimal V2_V2_BONUS = new BigDecimal("1800");
    // 级差 V2-V1 给的奖金
    public static final BigDecimal V2_V1_BONUS = new BigDecimal("600");

    // 级差 V1-V1-4 给的奖金
    public static final BigDecimal V1_V_BONUS = new BigDecimal("400");

}
